Skip to main content
`Ctrl`+`K`

# SNESParametersInitialize

Sets all the parameters in `snes` to their default value (when `SNESCreate()` was called) if they currently contain default values

## Synopsis

    #include "petscsnes.h"
    #include "petscsnes.h"
    PetscErrorCode SNESParametersInitialize(SNES snes)

Collective

## Input Parameter

- snes - the `SNES` object

## Developer Note

This is called by all the `SNESCreate_XXX()` routines.

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESSolve()`, `SNESDestroy()`, `SNESSetLagPreconditioner()`, `SNESSetLagJacobian()`, `PetscObjectParameterSetDefault()`

## Level

developer

## Location

src/snes/interface/snes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages